---
title: "Receiving Costs History"
description: "The method allows to get a costs history"
lang: en-US
source: https://valeryverkhoturov.github.io/wb-api-client-docs/en/reference/api/promotion/get-adv-v1-upd
---

# Receiving Costs History

```http
GET /adv/v1/upd
```

**Base URL:** `https://advert-api.wildberries.ru` · **Module:** [`promotion`](https://valeryverkhoturov.github.io/wb-api-client-docs/en/reference/api/promotion/) · **Section:** Finances · [Specification doc ↗](https://dev.wildberries.ru/en/docs/openapi/promotion#tag/finances/operation/getV1Upd)

The method allows to get a costs history

[Request limit](https://dev.wildberries.ru/openapi/api-information#tag/introduction/Rate-Limits) per one seller account:

| Type             | Period | Limit     | Interval | Burst      |
| ---------------- | ------ | --------- | -------- | ---------- |
| Personal         | 1 s    | 1 request | 1 s      | 5 requests |
| Service          | 1 s    | 1 request | 1 s      | 5 requests |
| Base with secret | 1 s    | 1 request | 1 s      | 5 requests |
| Base             | 1 h    | 1 request | 1 h      | 1 request  |

## Parameters

| Name   | In    | Type     | Req. | Description                                                 |
| ------ | ----- | -------- | ---- | ----------------------------------------------------------- |
| `from` | query | `string` | yes  | Beginning of the interval                                   |
| `to`   | query | `string` | yes  | End of interval. (Minimum interval is 1 day, maximum is 31) |

## Responses

| Code  | Description       | Schema                |
| ----- | ----------------- | --------------------- |
| `200` | Success           | `GetV1UpdResponse200` |
| `400` | Bad request       | `string`              |
| `401` | Unauthorized      | `object`              |
| `403` | Access denied     | `object`              |
| `429` | Too many requests | `object`              |

**Structure `200` — `object[]`:**

- `updNum` `integer<int64>` — Billing document number (if any)
- `updTime` `string<time-date>` — Time of charge-off
- `updSum` `integer<int64>` — Amount invoiced in the base units of the [seller account](https://cmp.wildberries.ru/campaigns/finances) currency
- `advertId` `integer<int64>` — Campaign ID
- `campName` `string` — Campaign name
- `advertType` `integer<int64>` — Campaign type
- `paymentType` `string` — Source of charge-off: - `Баланс` — Balance - `Бонусы` — Bonuses - `Счёт` — Money account - `Кэшбэк` — Debit card cashback
- `advertStatus` `integer<int64>` — Campaign status: - `-1` — deleted, the deletion process will be completed within 10 minutes - `4` — ready to be launched - `7` — completed - `8` — declined - `9` — active - `11` — paused

**Structure `401`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Unique request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

**Structure `403`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

**Structure `429`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Unique request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

## Call examples

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

**Python**

```python
from wb_api_client.promotion import Configuration, ApiClient
from wb_api_client.promotion.api import PromotionApi

cfg = Configuration(access_token="<your WB JWT>")
api = PromotionApi(ApiClient(cfg))

result = api.get_v1_upd(var_from=..., to=...)
print(result)
```

**TypeScript**

```ts
import {
  Configuration,
  PromotionApi,
} from "@valeryverkhoturov/wb-api-client/promotion";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new PromotionApi(cfg);

const { data } = await api.getV1Upd(from, to);
console.log(data);
```

**Go**

```go
import (
	"context"
	"fmt"

	wbpromotion "github.com/ValeryVerkhoturov/wb-api-client-go/promotion"
)

cfg := wbpromotion.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbpromotion.NewAPIClient(cfg)

result, _, err := client.PromotionAPI.GetV1Upd(context.Background()).From(from).To(to).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
```

**Java**

```java
import io.github.valeryverkhoturov.wbapi.promotion.ApiClient;
import io.github.valeryverkhoturov.wbapi.promotion.SecretString;
import io.github.valeryverkhoturov.wbapi.promotion.api.PromotionApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
PromotionApi api = new PromotionApi(client);

System.out.println(api.getV1Upd(from, to));
```

**PHP**

```php
use ValeryVerkhoturov\WbApiClient\Promotion\Configuration;
use ValeryVerkhoturov\WbApiClient\Promotion\SecretString;
use ValeryVerkhoturov\WbApiClient\Promotion\Api\PromotionApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new PromotionApi(new Client(), $config);

print_r($api->getV1Upd($from, $to));
```

**OneScript**

```bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый PromotionApi(Настройки);

Сообщить(Клиент.GetV1Upd(from, _to).Тело);
```

**C#**

```csharp
using ValeryVerkhoturov.WbApiClient.Promotion.Api;
using ValeryVerkhoturov.WbApiClient.Promotion.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new PromotionApi(config);

Console.WriteLine(api.GetV1Upd(from, to));
```

**Rust**

```rust
use wb_api_client::promotion::apis::{configuration::Configuration, promotion_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = promotion_api::get_v1_upd(&cfg, from, to).await;
    println!("{:#?}", result);
}
```
